<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#BalanceSheetStatement" roleURI="http://www.domik.gr/role/BalanceSheetStatement"/>
  <roleRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#IncomeStatement" roleURI="http://www.domik.gr/role/IncomeStatement"/>
  <roleRef xlink:type="simple" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#CashFlowStatement" roleURI="http://www.domik.gr/role/CashFlowStatement"/>
  <calculationLink xlink:type="extended" xlink:role="http://www.domik.gr/role/BalanceSheetStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets_0"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_1"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_DepreciationOfTangibleAssets" xlink:label="loc_domikikritis_DepreciationOfTangibleAssets_2"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_3"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_AmortizationOfIntangibleAssets" xlink:label="loc_domikikritis_AmortizationOfIntangibleAssets_4"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_5"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentsInSubsidiaries" xlink:label="loc_ifrs-full_InvestmentsInSubsidiaries_6"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentsInAssociates" xlink:label="loc_ifrs-full_InvestmentsInAssociates_7"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentsInJointVentures" xlink:label="loc_ifrs-full_InvestmentsInJointVentures_8"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets_9"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentNonfinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentNonfinancialAssets_10"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="loc_ifrs-full_InvestmentProperty_11"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets_13"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories" xlink:label="loc_ifrs-full_Inventories_13"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_14"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentPrepayments" xlink:label="loc_ifrs-full_CurrentPrepayments_15"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets_16"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents_17"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities_19"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_20"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_20"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital_20"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="loc_ifrs-full_SharePremium_21"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves" xlink:label="loc_ifrs-full_OtherReserves_22"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings_23"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_ifrs-full_NoncontrollingInterests_25"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="loc_ifrs-full_Liabilities_27"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities_27"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_27"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShorttermBorrowings" xlink:label="loc_ifrs-full_ShorttermBorrowings_28"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentPortionOfLongtermBorrowings" xlink:label="loc_ifrs-full_CurrentPortionOfLongtermBorrowings_29"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities_31"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:label="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_31"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="loc_ifrs-full_LongtermBorrowings_32"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_33"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentGovernmentGrants" xlink:label="loc_ifrs-full_NoncurrentGovernmentGrants_34"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherLongtermProvisions" xlink:label="loc_ifrs-full_OtherLongtermProvisions_35"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_36"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_NoncurrentAssets_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_domikikritis_DepreciationOfTangibleAssets_2" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_3" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_domikikritis_AmortizationOfIntangibleAssets_4" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_5" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentsInSubsidiaries_6" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentsInAssociates_7" order="60" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentsInJointVentures_8" order="70" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_DeferredTaxAssets_9" order="80" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_OtherNoncurrentNonfinancialAssets_10" order="90" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_1" xlink:to="loc_ifrs-full_InvestmentProperty_11" order="100" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_0" xlink:to="loc_ifrs-full_CurrentAssets_13" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_13" xlink:to="loc_ifrs-full_Inventories_13" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_13" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_14" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_13" xlink:to="loc_ifrs-full_CurrentPrepayments_15" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_13" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets_16" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_13" xlink:to="loc_ifrs-full_CashAndCashEquivalents_17" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_19" xlink:to="loc_ifrs-full_Equity_20" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_20" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_20" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_20" xlink:to="loc_ifrs-full_IssuedCapital_20" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_20" xlink:to="loc_ifrs-full_SharePremium_21" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_20" xlink:to="loc_ifrs-full_OtherReserves_22" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_20" xlink:to="loc_ifrs-full_RetainedEarnings_23" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_20" xlink:to="loc_ifrs-full_NoncontrollingInterests_25" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_19" xlink:to="loc_ifrs-full_Liabilities_27" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_27" xlink:to="loc_ifrs-full_CurrentLiabilities_27" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_27" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_27" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_27" xlink:to="loc_ifrs-full_ShorttermBorrowings_28" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_27" xlink:to="loc_ifrs-full_CurrentPortionOfLongtermBorrowings_29" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_27" xlink:to="loc_ifrs-full_NoncurrentLiabilities_31" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_31" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_LongtermBorrowings_32" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialLiabilities_33" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_NoncurrentGovernmentGrants_34" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_OtherLongtermProvisions_35" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_31" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_36" order="50" use="optional" weight="1"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.domik.gr/role/IncomeStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_0"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherIncome" xlink:label="loc_ifrs-full_OtherIncome_2"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_GainsFromRevaluationOfInvestingProperties" xlink:label="loc_domikikritis_GainsFromRevaluationOfInvestingProperties_3"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="loc_ifrs-full_RawMaterialsAndConsumablesUsed_4"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense_5"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_DepreciationAndAmortisationExpense_6"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="loc_ifrs-full_OtherExpenseByNature_7"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="loc_ifrs-full_FinanceCosts_9"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_10"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_12"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_14"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTax_14"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_15"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_16"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_ProfitLoss_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_1" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_1" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_Revenue_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_OtherIncome_2" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_domikikritis_GainsFromRevaluationOfInvestingProperties_3" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_RawMaterialsAndConsumablesUsed_4" order="30" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense_5" order="40" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_DepreciationAndAmortisationExpense_6" order="50" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_1" xlink:to="loc_ifrs-full_OtherExpenseByNature_7" order="60" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_1" xlink:to="loc_ifrs-full_FinanceCosts_9" order="10" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_1" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_10" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_1" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_12" order="10" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_0" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_14" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_14" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTax_14" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_14" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_15" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_14" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_16" order="20" use="optional" weight="-1"/>
  </calculationLink>
  <calculationLink xlink:type="extended" xlink:role="http://www.domik.gr/role/CashFlowStatement">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_1"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_2"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_3"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_4"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_5"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_6"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_7"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_8"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" xlink:label="loc_ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow_9"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="loc_ifrs-full_AdjustmentsForFinanceCosts_10"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_11"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_14"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities_15"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_16"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_17"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_18"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_19"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_21"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities_21"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_22"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_23"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_1" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_2" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_3" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_4" order="30" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_5" order="40" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_6" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_7" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_8" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow_9" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_AdjustmentsForFinanceCosts_10" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_6" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_11" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_14" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities_15" order="10" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_16" order="20" use="optional" weight="-1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_17" order="30" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_18" order="40" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_14" xlink:to="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_19" order="50" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_21" order="20" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_21" xlink:to="loc_ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities_21" order="0" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_21" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_22" order="10" use="optional" weight="1"/>
    <calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_21" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_23" order="20" use="optional" weight="-1"/>
  </calculationLink>
</linkbase>